Description

If | edit a feature in the attribute editor and then close it, the layer remains in edition state, instead of stopping the editing.

History

#1 - 12/09/2014 03:35 PM - Joaquin del Cerro Murciano
No es un bug, se ha implementado asi especificamente.
Queda a decision del usuario cuando quiere terminar edicion.
#2 - 12/09/2014 05:32 PM - Antonio Falciano
Joaquin del Cerro Murciano wrote:

No es un bug, se ha implementado asi especificamente.

Queda a decision del usuario cuando quiere terminar edicion.

In my humble opinion, the editing session should be closed each time we click on the Save button, because it's time consuming to have to close the

editing session manually. So if this is not a but, you can consider it as a feature request. ;)

#3 - 12/09/2014 09:49 PM - Alvaro Anguix
- Category set to Vector editing
- Tracker changed from gvSIG bugs to gvSIG feature requests

Antonio: lo que comentas puede depender mucho del tipo de usuario. Por ejemplo, si estas editando al mismo tiempo tanto alfanuméricamente como
graficamente, algo que puede ser habitual...lo que no quieres es tener que estar abriendo la edicién a cada momento que pasas del editor
alfanumérico a editar graficamente (por ejemplo para afadir nuevos elementos).

De todos modos lo paso a feature request

#4 - 12/10/2014 10:09 AM - Joaquin del Cerro Murciano

Al margen de gustos, hay que tener en cuenta que hay algunos formatos que no admiten actualizacion de los datos. Esto quiere decir que cada vez
que se actualiza algo en el fichero deben reescribirse completos.
Esto pasa por ejemplo con el DXF o el SHP. Si tengo un SHP de 20Mb cada vez que el usuario le diese a grabar para pasar al siguiente registro se
tendria que reescribir completo el SHP con sus 20Mb.
Para evitar estas cosas es por lo que se creo el concepto de capa en edicion, de forma que se acumulan los cambios para guardarlos en una sola

escritura del fichero.

Si estamos hablando de otros formatos, como BBDD, o si estamos trabajando con shp "pequefios", si que se podria intentar hacer, pero no se si

hacer que a veces terminara edicion automaticamente y otras no podria confundir al usuario.

#5 - 12/10/2014 10:26 AM - Antonio Falciano

I'm not reinventing the wheel... The "Save" button in the "Attribute editor" should save and then stop the editing, just like in NavTable. Otherwise which

is its functionality? If it's useless, it's better to remove this button.
